GETUsage
Get Plan Status
This endpoint retrieves the current status of a SIM and details of a customers data plan. It is useful for checking whether a SIM is active, or pending activation. Current state of the plan. Possible values include: NOT_ACTIVE – The plan has been purchased but not yet activated. ACTIVE – The plan is currently active. EXPIRED – The plan has reached its expiry date and is no longer usable.
Endpoint
GEThttps://api.sotel.com/api/esim/iccid/{ICCID}/details
Authentication
Requires an Authentication Token obtained from the /authenticate endpoint. Include it in the X-Token header.
X-Token:{{token}}Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
ICCID | string | Required | The Integrated Circuit Card Identifier (ICCID) of the eSIM to retrieve eSIM Status. |
Response
eSIM usage details returned successfully.
Response
{
"status": "Success",
"code": 200,
"data": {
"productId": "8a8a9aed-ca1e-44f1-b61c-92ae7b629801",
"iccid": "8910300000033610520",
"createdDate": "2026-10-07 12:37:43",
"activatedDate": "",
"expiryDate": "2027-10-07 12:37:43",
"windowActivationEndDate": "2027-10-07 12:37:43",
"status": "NOT_ACTIVE",
"dataPlan": "Netherlands 1GB 5 days"
},
"message": "Successful",
"timestamp": "2026-10-07 13:39:50"
}Code Examples
curl -X GET 'https://api.sotel.com/api/esim/iccid/8910300000045680927/details' \
-H 'X-Token:{{token}}'Try It
Try It
Fill in the parameters to generate a cURL command
Generated cURL
curl --location 'https://api.sotel.com/api/esim/iccid/{ICCID}/details' \
--header 'X-Token: {token}'